GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
gdb_glob Class Reference

## Public Member Functions
| gdb_glob (const char *pattern, int flags, int(*errfunc)(const char *epath, int eerrno))
| ~gdb_glob ()
int | pathc () const
char ** | pathv () const

## Private Attributes
glob_t | m_glob

## Detailed Description

Definition at line 26 of file gdb_tilde_expand.c.

## Constructor & Destructor Documentation

## ◆ gdb_glob()

gdb_glob::gdb_glob | ( | const char * | pattern,
|  | int | flags,
|  | int(*)(const char *epath, int eerrno) | errfunc
| ) |  |
| inline

Definition at line 31 of file gdb_tilde_expand.c.

References _, error(), flags, and m_glob.

## ◆ ~gdb_glob()

gdb_glob::~gdb_glob | ( |  | ) |
| inline

Definition at line 47 of file gdb_tilde_expand.c.

References m_glob.

## Member Function Documentation

## ◆ pathc()

int gdb_glob::pathc | ( |  | ) | const
| inline

Definition at line 53 of file gdb_tilde_expand.c.

References m_glob.

Referenced by gdb_tilde_expand().

## ◆ pathv()

char** gdb_glob::pathv | ( |  | ) | const
| inline

Definition at line 59 of file gdb_tilde_expand.c.

References m_glob.

Referenced by gdb_tilde_expand().

## Member Data Documentation

## ◆ m_glob

glob_t gdb_glob::m_glob
| private

Definition at line 66 of file gdb_tilde_expand.c.

Referenced by gdb_glob(), pathc(), pathv(), and ~gdb_glob().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/common/gdb_tilde_expand.c